package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag710;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT710Creator;

/**
 * @author wanggang
 * @date 2023-03-02
 */
public class Tag42CCreator extends AbsTagCreate {

     private MT710Creator mt710Creator;

    public Tag42CCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt710Creator= (MT710Creator) absMTCreator;
    }

    public void creator()
    {
        String tag42CValue = mt710Creator.getDraftsat();
        mt710Creator.set("42C", tag42CValue);
    }
}

